// ==UserScript==
// @name Flash Blocker white list.
// @author Lex1
// @description  White list for Flash Blocker.
// @include http://*youtube.com/*
// @include http://video.google.com/*
// @include http://video.mail.ru/*
// @include http://tnt-tv.ru/*
// @include http://mail.google.com/*
// @include http://files.mail.ru/*
// @include http://*megaupload.com/*
// @include http://*blizzard.com/*
// @include http://example.com/*
// ==/UserScript==



document.addEventListener('load', function(){
	navigator.ujs_FlashBlockerWhiteList = true;
	setTimeout(function(){
		var isBlocked = function(ele){return (ele.currentStyle.content || getComputedStyle(ele, null).content) == '""'};
		var unblock = function(s){s.content = 'normal'; s.outline = 'none'; s.backgroundImage = 'none'; s.minWidth = 0; s.minHeight = 0};
		var i, e, obj;

		obj = document.getElementsByTagName('object');
		for(i = 0; e = obj[i]; i++){if(isBlocked(e))unblock(e.style)};
		obj = document.getElementsByTagName('embed');
		for(i = 0; e = obj[i]; i++){if(isBlocked(e))unblock(e.style)};
		obj = document.getElementsByTagName('iframe');
		for(i = 0; e = obj[i]; i++){if(e.getAttribute('type') == 'application/x-shockwave-flash' && isBlocked(e))unblock(e.style)};
	}, 300);
}, false)
